Subject: [i2rs] FW: New Version Notification for draft-hares-netmod-i2rs-yang-01.txt

From: "Susan Hares" <[email-masked]>
Date: Tue, 15 Nov 2016 15:52:57 -0500

I was so inspired by the netmod discussions on draft-nmdsdt-netmod-revised-datastores that I wrote up this quick draft.  For those with limited time you can focus on the following section for the opstate 

·        Section 3.4 Assumptions on Data Store Model Melee

·        Section 4 - Ephemeral Data 

Section 5 - Yang Configuration changes suggests to add an "ephemeral" keyword that identifies Yang Data model. 

This material will be discussed at I2RS WG today [15:20-16:20] Studio 2.  

We’ll start with this material at 15:20-15:45 so if you going to attend – make sure to come on time.   The new structure allows I2RS to define its validation process for I2rs configuration data.  It also allows control plane datastores which will allow multiple ephemeral data stores at the I2RS Agent – so that I2RS agent caching at the I2RS node can be supported.  We will talk about this 

Sue 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Tuesday, November 15, 2016 3:38 PM
To: Amit Daas; [email-masked]; Susan Hares
Subject: New Version Notification for draft-hares-netmod-i2rs-yang-01.txt

A new version of I-D, draft-hares-netmod-i2rs-yang-01.txt

has been successfully submitted by Susan Hares and posted to the IETF repository.

Name:                  draft-hares-netmod-i2rs-yang

Revision:              01

Title:                     Yang for I2RS Protocol

Document date: 2016-11-15

Group:                  Individual Submission

Pages:                  19

URL:             <https://www.ietf.org/internet-drafts/draft-hares-netmod-i2rs-yang-01.txt> https://www.ietf.org/internet-drafts/draft-hares-netmod-i2rs-yang-01.txt

Status:          <https://datatracker.ietf.org/doc/draft-hares-netmod-i2rs-yang/> https://datatracker.ietf.org/doc/draft-hares-netmod-i2rs-yang/

Htmlized:        <https://tools.ietf.org/html/draft-hares-netmod-i2rs-yang-01> https://tools.ietf.org/html/draft-hares-netmod-i2rs-yang-01

Diff:            <https://www.ietf.org/rfcdiff?url2=draft-hares-netmod-i2rs-yang-01> https://www.ietf.org/rfcdiff?url2=draft-hares-netmod-i2rs-yang-01

Abstract:

   This document requests one yang model addition that will support

   ephemeral state and provides notes for the implementers who wish to

   implement ephemeral state for the I2RS Protocol.  The purpose of this

   document is to provide implementers of ephemeral state with

   background and open issues that they should consider when

   implementing ephemeral state that satifies the I2RS protocol.

 

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat